Package twisted :: Package python :: Module formmethod :: Class Submit

[frames | no frames]

## Class Submit

    Argument --+
               |
          Choice --+
                   |
                  Submit

Submit button or a reasonable facsimile thereof.

Method Summary
| `__init__(self, name, choices, reset, shortDesc, longDesc, allowNone, hints)`
| `coerce(self, value)`
Inherited from Argument
| ``addHints`(self, **kwargs)`
| ``getHint`(self, name, default)`
| ``getLongDescription`(self)`
| ``getShortDescription`(self)`

Class Variable Summary
Inherited from Argument
`NoneType` | `defaultDefault` = None

Generated by Epydoc 2.0 on Sat May 15 20:07:50 2004 | http://epydoc.sf.net